Bug 255846 - x11-themes/kde-icons-noia: Add LICENSE, Take MAINTAINERship
Summary: x11-themes/kde-icons-noia: Add LICENSE, Take MAINTAINERship
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks: 255891
  Show dependency treegraph
 
Reported: 2021-05-13 17:14 UTC by Chris Hutchinson
Modified: 2021-05-18 01:54 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (portmaster)


Attachments
patch for x11-themes/kde-icons-noia (760 bytes, patch)
2021-05-13 17:14 UTC, Chris Hutchinson
no flags Details | Diff
patch for x11-themes/kde-icons-noia (version 2) (898 bytes, patch)
2021-05-14 23:11 UTC, Chris Hutchinson
no flags Details | Diff
patch for x11-themes/kde-icons-noia (version 3) (1.28 KB, patch)
2021-05-14 23:58 UTC, Chris Hutchinson
no flags Details | Diff
patch to facilitate using a more conventional LICENSE setup (1.47 KB, patch)
2021-05-15 04:37 UTC, Chris Hutchinson
no flags Details | Diff
git diff for x11-themes/kde-icons-* (MEGA DIFF) (6.54 KB, patch)
2021-05-17 21:43 UTC, Chris Hutchinson
portmaster: maintainer-approval?
Details | Diff
log for build run against all affected ports in the MEGA diff (15.37 KB, text/plain)
2021-05-17 23:57 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2021-05-13 17:14:55 UTC
Created attachment 224906 [details]
patch for x11-themes/kde-icons-noia

I just finished a change for kde-icons-nuovext2
which requires this port, and noticed that this
port doesn't have a LICENSE or MAINTAINER. So
the patch attached to this pr(1) fixes that.

Changes
Makefile (adds LICENSE && MAINTAINER)
pkg-descr (removes one of the broken WWW entries)

That's it.

Thanks!

--Chris

NOTE as this port is maintained by ports@
approval is implicit.
Comment 1 Chris Hutchinson 2021-05-13 17:20:00 UTC
(In reply to Chris Hutchinson from comment #0)
For clarity:
> removes one of the broken WWW entries
removes A broken WWW entrY

--Chris
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-14 00:59:18 UTC
Thanks Chris

Is there a LICENSE_FILE in WRKSRC?

Please also confirm that the port passes QA
Comment 3 Chris Hutchinson 2021-05-14 05:40:00 UTC
(In reply to Kubilay Kocak from comment #2)
Sorry. Yes, it's in ${WRKSRC}/COPYING

Fully tested on 12/amd64

Thanks! :-)

--Chris
Comment 4 Chris Hutchinson 2021-05-14 23:11:45 UTC
Created attachment 224951 [details]
patch for x11-themes/kde-icons-noia (version 2)

OK I got tripped up by an apparent recent change in the
ports framework. So while the previous patch worked. It
was simply masking the problem. This patch addresses the
problem and *correctly* sets the LICENSE as intended by
the LICENSE framework, and assignd me as MAINTAINER.

Changes
Makefile (LICENSE, LICENSE_FILE, MAINTAINER)
Makefile.icons (adjusts a conditional wrapping LICENSE)

Builds/Works as intended on 12/amd64 13/amd64

===>  License LGPL21 accepted by the user
===>   kde-icons-noia-1.00 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by kde-icons-noia-1.00 for building
===>  Extracting for kde-icons-noia-1.00
=> SHA256 Checksum OK for KDE/noia-kde-icons-1.00.tgz.
===>  Patching for kde-icons-noia-1.00
===>  Configuring for kde-icons-noia-1.00
===>  Staging for kde-icons-noia-1.00
===>   Generating temporary packing list
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

That's it!

Thanks! :-)

--Chris
Comment 5 Chris Hutchinson 2021-05-14 23:58:59 UTC
Created attachment 224953 [details]
patch for x11-themes/kde-icons-noia (version 3)

Sorry. Forgot the change in pkg-descr in the last one.
I promise I'll stop doing that.
NOTE TO SELF:
Always take the time to get another cup coffee, or
take a walk around the house before hitting the
submit button. The job gets done a lot faster if
you only do it once.

--Chris
Comment 6 Chris Hutchinson 2021-05-15 00:19:20 UTC
@koobs
A bit of an aside;
This and other kde-icon ports that
include/depend on it:
x11-themes/kde-icons-noia/Makefile.icons
all include the following. which is NOT
defined within the ports framework:

.ifndef(WITHOUT_RESTRICTIONS)
# Converted from RESTRICTED
LICENSE=	theme
LICENSE_NAME=	theme
LICENSE_TEXT?=	may contain iconic, visual, graphical or other\
		elements that may not be distributed without the\
		consent of either the trademark or the patent holder
LICENSE_PERMS=	auto-accept
.endif

So unless you're already familiar with it.
You're in for trouble. IOW if you're not
setting WITHOUT_RESTRICTIONS, you're going
to trip on it. My gut feeling tells me that
rather effectively defeating it; as I did
with this port. That the thing to do is simply
remove it, and let those ports that include this
file; To either define restrictions/license(s). Or
get the generic ports framework output

/!\ Warnings /!\
Please set LICENSE for this port

So that they get fixed.

Thanks for any input you may provide. :-)

--Chris
Comment 7 Chris Hutchinson 2021-05-15 04:37:28 UTC
Created attachment 224957 [details]
patch to facilitate using a more conventional LICENSE setup

Here's a patch that nukes the conditional block
I am talking about. If you agree with my chosen
course on this. Please commit this one instead
of the other.

Thanks! :-)

--Chris
Comment 8 Tobias Kortkamp freebsd_committer 2021-05-15 11:43:31 UTC
Comment on attachment 224957 [details]
patch to facilitate using a more conventional LICENSE setup

I'm skeptical. It removes all the license restrictions from the
kde-icons-* ports. The license permissions currently say that we
cannot redistribute the distfiles, packages, etc. Is all of that
no longer the case?

Note that I fixed the kde-icons-nuovext2 fallout in 9367fd9f7092c4bdfa22c6877cba54a30a2214e1
Comment 9 Chris Hutchinson 2021-05-15 17:43:01 UTC
(In reply to Tobias Kortkamp from comment #8)
Thanks for your attention to this, Tobias.
I guess I'm a bit confused. All I'm really
suggesting is to drag the LICENSE conditional
block out of the Makefile.icons file, and put
it into each of the Makefiles that *don't* have
a license defined within their source.
I only started down this trail; as pkg-fallout
suddenly started spamming my mailbox with failures
for the kde-icons-nuovext2 that I maintain. Curious,
as it had worked for several years w/o problems and
nothing in the port had changed. So as I looked into
it I discovered that a couple others had a license
defined/included. But weren't used. So thought I
should define them within their Makefile' with the
license included with the source, and drag the
conditional license block out of Makefile.icons and
place it into those that _don't_ come with a license
defined. It won't change the "no dist" definition in
any way. It just seems to make it easier to actually
define a license when one is defined/included within
the source.
Am I missing something?

Thanks again, Tobias.

--Chris
Comment 10 Chris Hutchinson 2021-05-17 21:43:28 UTC
Created attachment 225040 [details]
git diff for x11-themes/kde-icons-* (MEGA DIFF)

OK in retrospect this should have been under a different
title indicating it's _current_ affect -- but hindsight
being what it is...

This git diff is a MEGA diff against all the kde-icons-*
Why?
A recent change in the ports framework caused
x11-themes/kde-icons-noia/Makefile.icons and all ports
dependent upon it to start throwing LICENSE related errors.
As a result; I've gone through the affected ports and
added the actual LICENSE it contained. Those few that didn't
declare one, received the "blanket" "theme" license
declaration pulled from
x11-themes/kde-icons-noia/Makefile.icons
IMHO using x11-themes/kde-icons-noia/Makefile.icons as
a "blanket" for LICENSE is an abuse of the LICENSE
framework that requires kludges to existing kde-icons
and hides licenses that actually exist within the ports.
So this is my submission to address that perceived abuse
and further address other anomalies along the way.
I'm taking full responsibility for these changes. So have
assigned myself as MAINTAINER for the entire group affected.

Changes
Makefile(s)
LICENSE, MAINTAINER

x11-themes/kde-icons-lime-rade8
as above, but with
MASTER_SITES (was using distcache.freebsd...)

x11-themes/kde-icons-nuvola
MASTER_SITES (www.icon-king.com is dead, use GENTOO)

x11-themes/kde-icons-noia/Makefile.icons
remove conditional LICENSE block
MAINTAINER

That's it.

All of these tested on 12/mad(63|32) && 13/amd(64|32) and return:

===>  License (...) accepted by the user
===>   kde-icons-... depends on file: /usr/local/sbin/pkg - found
=> noia-kde-icons-... doesn't seem to exist in /usr/ports/distfiles/KDE.
=> Attempting to fetch /distfiles/noia-kde-icons-...
===> Fetching all distfiles required by kde-icons-... for building
===>  Extracting for kde-icons-...
=> SHA256 Checksum OK for KDE/noia-kde-icons-...
===>  Patching for kde-icons-...
===>  Configuring for kde-icons-...
===>  Staging for kde-icons-...
===>   Generating temporary packing list
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

Thanks! :-)

--Chris
Comment 11 Chris Hutchinson 2021-05-17 23:57:50 UTC
Created attachment 225047 [details]
log for build run against all affected ports in the MEGA diff

A log for a build run against all the affected
ports in the MEGA diff attached to this pr.

proof it works! :-)

--Chris